/*
 * (C) Dhananjay Nene - 2005
 * This source is licensed under Creative Commons License (Attribution 2.0)
 * (http://creativecommons.org/licenses/by/2.0/legalcode)
 */

package com.dnene.ditutorial.common;

import java.util.Date;

/**
 * Performs activities necessary to schedule a cab pickup
 * 
 * @author Dhananjay Nene
 *
 */
public interface CabAgency
{
	/**
	 * Schedules a cab pickup based on where a customer would like to
	 * depart from and the airport where he would like to catch the
	 * flight from
	 * 
	 * @param departingAddress
	 * @param airport
	 * @return
	 */
	public Date requestCab(String departingAddress, String airport); 
}
