/*
 * (C) Dhananjay Nene - 2005
 * This source is licensed under Creative Commons License (Attribution 2.0)
 * (http://creativecommons.org/licenses/by/2.0/legalcode)
 */

package com.dnene.ditutorial.common;

import java.util.Date;

/**
 * Simple bean reflecting a particular flight's schedule
 * 
 * @author Dhananjay Nene
 *
 */
public class FlightSchedule
{
	private String airport;
	private Date arrivalTime;
	private Date departureTime;
	private String flightNumber;

	/**
	 * Constructor
	 * 
	 * @param airport
	 * @param arrivalTime
	 * @param departureTime
	 * @param flightNumber
	 */
	public FlightSchedule(
		String airport,
		Date arrivalTime,
		Date departureTime,
		String flightNumber)
	{
		super();
		this.airport = airport;
		this.arrivalTime = arrivalTime;
		this.departureTime = departureTime;
		this.flightNumber = flightNumber;
	}
	/**
	 * @return Returns the airport.
	 */
	public String getAirport()
	{
		return airport;
	}
	/**
	 * @return Returns the arrivalTime.
	 */
	public Date getArrivalTime()
	{
		return arrivalTime;
	}
	/**
	 * @return Returns the departureTime.
	 */
	public Date getDepartureTime()
	{
		return departureTime;
	}
	/**
	 * @return Returns the flightNumber.
	 */
	public String getFlightNumber()
	{
		return flightNumber;
	}

	/**
	 * Provides a easy to read string representation of the flight schedule
	 */
	public String toString()
	{
		return "Flight Details: Departing (" + airport + ") at " +  departureTime + " arriving at " + arrivalTime;
	}


}
