/*
 * (C) Dhananjay Nene - 2005
 * This source is licensed under Creative Commons License (Attribution 2.0)
 * (http://creativecommons.org/licenses/by/2.0/legalcode)
 */

package com.dnene.ditutorial.common;

import java.util.Date;

/**
 * Provides necessary functionality for planning a trip
 * 
 * @author Dhananjay Nene
 *
 */
public interface TripPlanner
{
	/**
	 * Plans a trip based on the departing address / zip code, the arrival zip code, and the preferred arrival time
	 * @param departingAddress
	 * @param departingZipCode
	 * @param arrivalZipCode
	 * @param preferredArrivalTime
	 */
	public void planTrip(String departingAddress, String departingZipCode, String arrivalZipCode, Date preferredArrivalTime);
}