/*
 * (C) Dhananjay Nene - 2005
 * This source is licensed under Creative Commons License (Attribution 2.0)
 * (http://creativecommons.org/licenses/by/2.0/legalcode)
 */

package com.dnene.ditutorial.common.impl;

import java.util.Date;

import com.dnene.ditutorial.common.AirlineAgency;
import com.dnene.ditutorial.common.CabAgency;

/**
 * Abstract class providing basic functionality for scheduling cab pickups
 * 
 * @author Dhananjay Nene
 *
 */
public abstract class AbstractCabAgency implements CabAgency
{
	protected AirlineAgency airlineAgency = null;
	public AbstractCabAgency()
	{

	}

	/* (non-Javadoc)
	 * @see com.dnene.ditutorial.common.CabAgency#requestCab(java.lang.String, java.lang.String)
	 */
	public Date requestCab(String departingAddress, String flightNumber)
	{ 
		String airport = airlineAgency.getDepartingAirport(flightNumber);
		
		Date scheduledDeparture = airlineAgency.getDepartureTime(flightNumber);
		// do some computing based on the airport (primarily to compute the distance
		// between the airport and pickup location and thus arrive at the necessary time
		// offset between flight departure time and cab pickup time).
		// Lets assume the offset worked out to an hour and an half
		Date scheduledCabTime = new Date(scheduledDeparture.getTime() - 5400000);
		System.out.println("Cab scheduled for pickup arrival at " + scheduledCabTime);
		return scheduledCabTime;
	}
}
