/*
 * (C) Dhananjay Nene, Pune, India - 2005
 * All Rights Reserved. 
 * To be used strictly pursuant to written license agreements.
 */
package com.dnene.ditutorial.common.impl;

import com.dnene.ditutorial.common.AirlineAgency;
import com.dnene.ditutorial.common.CabAgency;
import com.dnene.ditutorial.common.TripPlanner;
import com.dnene.ditutorial.xwork.AirlineAgencyAware;
import com.dnene.ditutorial.xwork.CabAgencyAware;

/**
 * A TripPlanner which provides the setter methods necessary for
 * providing the references to AirlineAgency and CabAgency
 * 
 * @author Dhananjay Nene
 *
 */
public class SetterBasedTripPlanner extends AbstractTripPlanner
		implements
			AirlineAgencyAware, CabAgencyAware, TripPlanner
{
	/**
	 * Setter to provide reference to AirlineAgency
	 * @see com.dnene.ditutorial.xwork.AirlineAgencyAware#setAirlineAgency(com.dnene.ditutorial.common.AirlineAgency)
	 */
	public void setAirlineAgency(AirlineAgency airlineAgency)
	{
		this.airlineAgency = airlineAgency;
	}
	
	/**
	 * Setter to provide reference to CabAgency
	 * @see com.dnene.ditutorial.xwork.CabAgencyAware#setCabAgency(com.dnene.ditutorial.common.CabAgency)
	 */
	public void setCabAgency(CabAgency cabAgency)
	{
		this.cabAgency = cabAgency;
	}
}
