/*
 * (C) Dhananjay Nene, Pune, India - 2005
 * All Rights Reserved. 
 * To be used strictly pursuant to written license agreements.
 */
package com.dnene.ditutorial.harness;

import java.util.Date;


/**
 * Basic functionality providing the harness for trip planning
 * 
 * @author Dhananjay Nene
 *
 */
public abstract class AbstractHarness implements Harness
{

	/**
	 * Runs the harness for demonstrating a typical flight
	 * booking sequence. This requires a configuration of the
	 * DependencyInjection (DI) container as necessary, and
	 * subsequently uses the planner to do the trip planning
	 * 
	 * @see com.dnene.ditutorial.harness.Harness#runHarness()
	 */
	public void runHarness() throws Exception
	{
		this.configure();
		this.getPlanner().planTrip("1, Acme Street","11111","22222",new Date(System.currentTimeMillis() + 7200000));
	}
}
