/*
 * (C) Dhananjay Nene, Pune, India - 2005
 * All Rights Reserved. 
 * To be used strictly pursuant to written license agreements.
 */
package com.dnene.ditutorial.harness;

import com.dnene.ditutorial.common.TripPlanner;

/**
 * Interface for a basic execution harness
 * 
 * @author Dhananjay Nene
 *
 */
public interface Harness
{
	/**
	 * Runs the execution harness
	 * @throws Exception
	 */
	public void runHarness() throws Exception;

	/**
	 * Performs any configuration and registration
	 * activities necessary for the DependencyInjection
	 * (DI) container.
	 * 
	 * @throws Exception
	 */
	public void configure() throws Exception;

	/**
	 * Gets a reference to the trip planner with all its
	 * dependencies already resolved.
	 * 
	 * @return
	 * @throws Exception
	 */
	public TripPlanner getPlanner() throws Exception;
}